/*! anamo/bootstrap-for-market-website v0.0.0 | © 2006-present Panagiotis Tsimpoglou. All rights reserved | bitbucket.org/anamo/bootstrap-for-market-website */

import $ from 'jquery'
import meta from '../js-initializers'
import Cookies from 'js-cookie'

if ('true' !== Cookies.get('main-ls-disclosure') &&
	0 < $('.main-locale-menu--regions-list-group a[data-suffix]').length) {
	$.ajax({
		url: 'http://www.geoplugin.net/json.gp',
		dataType: 'json',
		cache: true,
		timeout: 3000
	}).
		done(data => {
			if (!data) return

			let supportedRegions = {}
			for (let [k, v] of Object.entries(meta.suppported_suffixes)) {
				if (!v.flag) continue
				supportedRegions[v.flag.split('/').pop().split('.', 2).shift().toLocaleUpperCase()] = k
			}

			let currentCode = Object.keys(supportedRegions).find(key => supportedRegions[key] === meta.APP_SUFFIX),
				clientCode = $.trim(data.geoplugin_countryCode),
				clientFallbackCode = $.trim(data.geoplugin_continentCode),
				suggestedCode = currentCode

			if (Object.keys(supportedRegions).includes(clientCode)) {
				if (currentCode !== clientCode) suggestedCode = clientCode
			} else if (Object.keys(supportedRegions).includes(clientFallbackCode)) {
				if (currentCode !== clientFallbackCode) suggestedCode = clientFallbackCode
			} else {
				suggestedCode = '001'
			}

			if (currentCode !== suggestedCode) {
				$(`<div class="bg-dark main-locale-switcher">
					<div class="container-fluid">
						<div class="row no-gutters pt-3 pb-4 pb-md-3 align-items-center">
							<div class="col py-3 pr-3 pr-md-4 text-white text-break">
							you could go to ${supportedRegions[suggestedCode]}
							</div>
							<div class="col-auto py-3 order-md-4">
								<a href="${meta.close_swither}" class="main-locale-switcher--dismiss">
									<svg height="34" width="34" data-icon="svg/" role="img" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" class="align-middle" viewBox="0 0 320 512">
										<path fill="currentColor" d="M193.94 256L296.5 153.44l21.15-21.15c3.12-3.12 3.12-8.19 0-11.31l-22.63-22.63c-3.12-3.12-8.19-3.12-11.31 0L160 222.06 36.29 98.34c-3.12-3.12-8.19-3.12-11.31 0L2.34 120.97c-3.12 3.12-3.12 8.19 0 11.31L126.06 256 2.34 379.71c-3.12 3.12-3.12 8.19 0 11.31l22.63 22.63c3.12 3.12 8.19 3.12 11.31 0L160 289.94 262.56 392.5l21.15 21.15c3.12 3.12 8.19 3.12 11.31 0l22.63-22.63c3.12-3.12 3.12-8.19 0-11.31L193.94 256z">
										</path>
									</svg>
								</a>
							</div>
							<div class="w-100 d-block d-md-none"></div>
							<div class="col col-md-auto order-md-2 bg-white-10 rounded text-truncate px-4 mr-4 text-white main-locale-switcher--preselection">
								${$(`.main-locale-menu--regions-list-group [data-suffix="${supportedRegions[suggestedCode]}"]:first`).text().toLocaleUpperCase()}
							</div>
							<div class="col-auto order-md-3 mr-md-4">
								<a href="${$(`.main-locale-menu--regions-list-group [data-suffix="${supportedRegions[suggestedCode]}"]:first`).attr('href')}" class="btn btn-thick btn-primary-yiq border-0">CONTINUE</a>
							</div>
						</div>
					</div>
				</div>`).insertBefore('.main-header')
			}

		})
}
